# Function

Static Public Summary
public | automount(target: *) |
public | createConsoleLogger(logger: *): * |
public | createPropertyClass(shadowType: *, initialState: *, specCallback: *, PropertyClass: *, BaseShadowClass: *): * |
public | extendOptions(options: *) |
public | getOptions(method: *, options: ...*): * |
public | mixin(mixinFactory: *): * |
public | setOptions(options: *) |
public | shadow(target: *, name: *, descriptor: *) |
public | shadowBound(target: *, name: *, descriptor: *) |
public | shadowPropertyHelper(target: *, name: *, descriptor: *, bindProperty: boolean) |

## Static Public

### public automount(target: *) source

    import automount from 'f.lux/src/decorators/automount.js'

#### Params:

Name | Type | Attribute | Description
target | * |  |

### public createConsoleLogger(logger: *): * source

    import {createConsoleLogger} from 'f.lux/src/listeners/Logger.js'

#### Params:

Name | Type | Attribute | Description
logger | * |  |

#### Return:

*

### public createPropertyClass(shadowType: *, initialState: *, specCallback: *, PropertyClass: *, BaseShadowClass: *): * source

    import createPropertyClass from 'f.lux/src/createPropertyClass.js'

#### Params:

Name | Type | Attribute | Description
shadowType | * |  |
initialState | * |  |
specCallback | * |  |
PropertyClass | * |  |
BaseShadowClass | * | optional default: Shadow |

#### Return:

*

### public extendOptions(options: *) source

    import {extendOptions} from 'f.lux/src/collection/fetchOptions.js'

#### Params:

Name | Type | Attribute | Description
options | * |  |

### public getOptions(method: *, options: ...*): * source

    import {getOptions} from 'f.lux/src/collection/fetchOptions.js'

#### Params:

Name | Type | Attribute | Description
method | * |  |
options | ...* |  |

#### Return:

*

### public mixin(mixinFactory: *): * source

    import mixin from 'f.lux/src/decorators/mixin.js'

#### Params:

Name | Type | Attribute | Description
mixinFactory | * |  |

#### Return:

*

### public setOptions(options: *) source

    import {setOptions} from 'f.lux/src/collection/fetchOptions.js'

#### Params:

Name | Type | Attribute | Description
options | * |  |

### public shadow(target: *, name: *, descriptor: *) source

    import shadow from 'f.lux/src/decorators/shadow.js'

#### Params:

Name | Type | Attribute | Description
target | * |  |
name | * |  |
descriptor | * |  |

### public shadowBound(target: *, name: *, descriptor: *) source

    import shadowBound from 'f.lux/src/decorators/shadowBound.js'

#### Params:

Name | Type | Attribute | Description
target | * |  |
name | * |  |
descriptor | * |  |

### public shadowPropertyHelper(target: *, name: *, descriptor: *, bindProperty: boolean) source

    import shadowPropertyHelper from 'f.lux/src/decorators/shadowPropertyHelper.js'

#### Params:

Name | Type | Attribute | Description
target | * |  |
name | * |  |
descriptor | * |  |
bindProperty | boolean | optional default: false |